[CalendarServer-changes] [8604] CalendarServer/trunk/support/build.sh

source_changes at macosforge.org source_changes at macosforge.org
Sun Jan 29 15:15:47 PST 2012


Revision: 8604
          http://trac.macosforge.org/projects/calendarserver/changeset/8604
Author:   wsanchez at apple.com
Date:     2012-01-29 15:15:46 -0800 (Sun, 29 Jan 2012)
Log Message:
-----------
Add --enable-dtrace to postgres if we have dtrace.
Use -P arg with type so we don't need to silence stderr.

Modified Paths:
--------------
    CalendarServer/trunk/support/build.sh

Modified: CalendarServer/trunk/support/build.sh
===================================================================
--- CalendarServer/trunk/support/build.sh	2012-01-29 19:42:03 UTC (rev 8603)
+++ CalendarServer/trunk/support/build.sh	2012-01-29 23:15:46 UTC (rev 8604)
@@ -614,7 +614,7 @@
     init_py;
   fi;
 
-  if ! type memcached > /dev/null 2>&1; then
+  if ! type -P memcached > /dev/null; then
     local le="libevent-1.4.13-stable";
     local mc="memcached-1.4.5";
     c_dependency -m "0b3ea18c634072d12b3c1ee734263664" \
@@ -625,9 +625,16 @@
       "http://memcached.googlecode.com/files/${mc}.tar.gz";
   fi;
 
-  if ! type postgres > /dev/null 2>&1; then
+  if ! type -P postgres > /dev/null; then
     local pgv="9.0.3";
     local pg="postgresql-${pgv}";
+
+    if type -P dtrace > /dev/null; then
+      local enable_dtrace="--enable-dtrace";
+    else
+      local enable_dtrace="";
+    fi;
+
     c_dependency -m "56386ded2d5dcd8a4ceef0da81c3d22c" \
       "PostgreSQL" "${pg}" \
       "ftp://ftp5.us.postgresql.org/pub/PostgreSQL/source/v${pgv}/${pg}.tar.gz" \
@@ -675,7 +682,7 @@
     "PyOpenSSL" "OpenSSL" "${po}" \
     "${pypi}/p/pyOpenSSL/${po}.tar.gz";
 
-  if type krb5-config > /dev/null 2>&1; then
+  if type -P krb5-config > /dev/null; then
     py_dependency -r 8357 \
       "PyKerberos" "kerberos" "PyKerberos" \
       "${svn_uri_base}/PyKerberos/trunk";
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20120129/caa20460/attachment.html>


More information about the calendarserver-changes mailing list